#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	configobj

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	4.6.0
Release:	3
Summary:	Config file reading, writing, and validation
Group:		System/Libraries
License:	BSD
URL:		http://www.voidspace.org.uk/python/%{original_name}.html
Source0:	http://dl.sf.net/configobj/%{original_name}-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	python%{PVER}
BuildRequires: 	python%{PVER}-devel
BuildRequires: 	python%{PVER}-setuptools
Provides:	python-configobj = %{version}-%{release}
Obsoletes:	python-configobj <= %{version}-%{release}
Obsoletes:	python25-configobj

%description
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.
It has lots of other features though:
* Nested sections (subsections), to any level
* List values
* Multiple line values
* String interpolation (substitution)
* Integrated with a powerful validation system
  o including automatic type checking/conversion
  o repeated sections
  o and allowing default values
* All comments in the file are preserved
* The order of keys/sections is preserved
* No external dependencies
* Full Unicode support
* A powerful unrepr mode for storing basic datatypes

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc docs
%{python_sitelib}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-3
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-2
- rebuild against python25-2.5.4-3
* Sat Aug 08 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Wed Oct 17 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Initial release
